#
# spec file for package perl-GnuPG (Version 0.07)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-GnuPG
Copyright:    Copyright (c) 1999, 2000 iNsu Innovations Inc. 
Group:        Development/Languages/Perl
Requires:     gpg
Autoreqprov:  on
Summary:      Perl GnuPG
Version:      0.07
Release:      113
Source:  GnuPG-0.07.tar.gz

%description
GnuPG is a perl module that interface with the Gnu Privacy Guard using
the coprocess hooks provided by gpg.

Authors:
--------
    Francis J. Lacoste <francis.lacoste@iNsu.COM>

SuSE series: sec

%prep
%setup -n GnuPG-0.07
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
eval `perl -V:installarchlib`
rm -f $installarchlib/perllocal.pod
make install
install -d /var/adm/perl-modules
mv $installarchlib/perllocal.pod /var/adm/perl-modules/perl-GnuPG

%files
/usr/lib/perl5/site_perl/5.*/GnuPG
/usr/lib/perl5/site_perl/5.*/GnuPG.pm
/usr/lib/perl5/site_perl/5.*/*-linux/auto/GnuPG
/usr/bin/gpgmailtunl
%{_mandir}/man1/gpgmailtunl.1.gz
%{_mandir}/man3/GnuPG::Tie.3pm.gz
%{_mandir}/man3/GnuPG.3pm.gz
/var/adm/perl-modules/perl-GnuPG
%doc COPYING ChangeLog NEWS README test.pl

%changelog -n perl-GnuPG
* Mon Dec 04 2000 - ro@suse.de
- renamed package to perl-GnuPG
* Mon Dec 04 2000 - ug@suse.de
- initial release
